Bug 1987143 - update resources label for prometheus to 2.28.1
Summary: update resources label for prometheus to 2.28.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Arunprasad Rajkumar
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-29 03:49 UTC by Junqi Zhao
Modified: 2021-10-18 17:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:43:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1303 0 None open Bug 1987143: Update prometheus resources label to 2.28.1 2021-07-29 04:48:05 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:43:19 UTC

Description Junqi Zhao 2021-07-29 03:49:41 UTC
Description of problem:
bug 1934324, prometheus is updated to 2.28.1, but the resources label for prometheus is still 2.26.1

# oc -n openshift-monitoring get pod --show-labels | grep prometheus-k8s
prometheus-k8s-0                               7/7     Running   0          54m   app.kubernetes.io/component=prometheus,app.kubernetes.io/instance=k8s,app.kubernetes.io/managed-by=prometheus-operator,app.kubernetes.io/name=prometheus,app.kubernetes.io/part-of=openshift-monitoring,app.kubernetes.io/version=2.26.1,app=prometheus,controller-revision-hash=prometheus-k8s-66676c66c6,operator.prometheus.io/name=k8s,operator.prometheus.io/shard=0,prometheus=k8s,statefulset.kubernetes.io/pod-name=prometheus-k8s-0
prometheus-k8s-1                               7/7     Running   0          54m   app.kubernetes.io/component=prometheus,app.kubernetes.io/instance=k8s,app.kubernetes.io/managed-by=prometheus-operator,app.kubernetes.io/name=prometheus,app.kubernetes.io/part-of=openshift-monitoring,app.kubernetes.io/version=2.26.1,app=prometheus,controller-revision-hash=prometheus-k8s-66676c66c6,operator.prometheus.io/name=k8s,operator.prometheus.io/shard=0,prometheus=k8s,statefulset.kubernetes.io/pod-name=prometheus-k8s-1

 oc -n openshift-monitoring get prometheus k8s -oyaml | grep labels -A6
  labels:
    app.kubernetes.io/component: prometheus
    app.kubernetes.io/name: prometheus
    app.kubernetes.io/part-of: openshift-monitoring
    app.kubernetes.io/version: 2.26.1
    prometheus: k8s
  name: k8s


Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-07-28-181504

How reproducible:
always

Steps to Reproduce:
1. see the description
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Junqi Zhao 2021-07-30 09:09:38 UTC
checked with 4.9.0-0.nightly-2021-07-30-014522, resources label for prometheus now is 2.28.1

Comment 8 errata-xmlrpc 2021-10-18 17:43:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.